Package org.eclipse.ecf.osgi.services.distribution

## Interface IDistributionConstants

    public interface IDistributionConstants

Since:
  1.1

### Field Summary

Fields
`static String` `REMOTE_CONFIGS_SUPPORTED`
`static String` `REMOTE_INTENTS_SUPPORTED`
`static String` `SERVICE_EXPORTED_CONFIGS`
`static String` `SERVICE_EXPORTED_CONTAINER_CONNECT_CONTEXT`
`static String` `SERVICE_EXPORTED_CONTAINER_FACTORY_ARGUMENTS`
`static String` `SERVICE_EXPORTED_CONTAINER_ID`
`static String` `SERVICE_EXPORTED_INTENTS`
`static String` `SERVICE_EXPORTED_INTENTS_EXTRA`
`static String` `SERVICE_EXPORTED_INTERFACES`
`static String` `SERVICE_EXPORTED_INTERFACES_WILDCARD`
`static String` `SERVICE_IMPORTED`
`static String` `SERVICE_IMPORTED_CONFIGS`
`static String` `SERVICE_INTENTS`
`static String` `SERVICE_PID`

### Field Detail

#### REMOTE_CONFIGS_SUPPORTED

    static final String REMOTE_CONFIGS_SUPPORTED

See Also:
  Constant Field Values

#### REMOTE_INTENTS_SUPPORTED

    static final String REMOTE_INTENTS_SUPPORTED

See Also:
  Constant Field Values

#### SERVICE_EXPORTED_CONFIGS

    static final String SERVICE_EXPORTED_CONFIGS

See Also:
  Constant Field Values

#### SERVICE_EXPORTED_INTENTS

    static final String SERVICE_EXPORTED_INTENTS

See Also:
  Constant Field Values

#### SERVICE_EXPORTED_INTENTS_EXTRA

    static final String SERVICE_EXPORTED_INTENTS_EXTRA

See Also:
  Constant Field Values

#### SERVICE_EXPORTED_INTERFACES

    static final String SERVICE_EXPORTED_INTERFACES

See Also:
  Constant Field Values

#### SERVICE_EXPORTED_INTERFACES_WILDCARD

    static final String SERVICE_EXPORTED_INTERFACES_WILDCARD

See Also:
  Constant Field Values

#### SERVICE_IMPORTED

    static final String SERVICE_IMPORTED

See Also:
  Constant Field Values

#### SERVICE_IMPORTED_CONFIGS

    static final String SERVICE_IMPORTED_CONFIGS

See Also:
  Constant Field Values

#### SERVICE_INTENTS

    static final String SERVICE_INTENTS

See Also:
  Constant Field Values

#### SERVICE_PID

    static final String SERVICE_PID

See Also:
  Constant Field Values

#### SERVICE_EXPORTED_CONTAINER_FACTORY_ARGUMENTS

    static final String SERVICE_EXPORTED_CONTAINER_FACTORY_ARGUMENTS

See Also:
  Constant Field Values

#### SERVICE_EXPORTED_CONTAINER_CONNECT_CONTEXT

    static final String SERVICE_EXPORTED_CONTAINER_CONNECT_CONTEXT

See Also:
  Constant Field Values

#### SERVICE_EXPORTED_CONTAINER_ID

    static final String SERVICE_EXPORTED_CONTAINER_ID

See Also:
  Constant Field Values